Subject: bug#19988: 25.0.50; Drag events ending in different frame

From: "Jan D." <[email-masked]>
Date: Mon, 09 Mar 2015 08:53:43 +0100

Stefan Monnier skrev den 2015-03-09 05:34:
>>> If one of the two is the top window (i.e. the one that's actually
>>> visible), then we should use that one,
>> Detecting whether "one of the two is the top window (i.e. the one that's
>> actually visible)" requires access to the Z order of windows.
>
> Not exactly: since this should be done by the C code, it can ask the
> window-system, which is the "current window under the mouse pointer".
> The result depends on Z ordering, but Emacs doesn't need to know that
> Z ordering.
>
>> The event structure can only contain what we put into it.  Which window
>> would you put into this structure after you leave the frame containing
>> the window where the start event occurred?
>
> The GUI window that's under the mouse pointer (according to the
> window-system).
>

XQueryPointer gives you the window.  But for drag-and-drop (depending on 
what protocol is being used), you also need to check if that window 
supports drag-and-drop.

	Jan D.